BP_SREFORMAT(1)

NAME
bpsreformat - convert sequence formats

DESCRIPTION
This script uses the SeqIO system that allows conversion of sequence formats either sequence data or multiple sequence alignment data. The name comes from the fact that Sean Eddy's program sreformat (part of the HMMER pkg) already does this. Sean's program tries to guess the input formats while in our code we currently require your to specify what the input and output formats are and if the data is from a multiple sequence alignment or from straight sequence files.

Usage:

bpsreformat -if INFORMAT -of OUTFORMAT -i FILENAME -o output.FORMAT

  -h/--help        Print this help

  -if/--informat   Specify the input format

  -of/--outformat  Specify the output format

  -i/--input       Specify the input file name
                   (to pass in data on STDIN use minus sign as filename)
  -o/--output      Specify the output file name
                   (to pass data out on STDOUT use minus sign as filename)

  --msa            Specify this is multiple sequence alignment data

  --special        Will pass on special parameters to the AlignIO/SeqIO
                   object -- most of these are for Bio::AlignIO objects
                   Comma separated list of the following
                   nointerleaved   -- for phylip,non-interleaved format
                   idlinebreak     -- for phylip, makes it molphy format
                   percentages     -- for clustalw, show % id per line